HORIZON-IMP(1)

NAME
horizon-imp - horizon EDA interactive manipulator

SYNOPSIS
horizon-imp -y <symbol file> | -c <blocks file> <pictures directory> | -a <padstack file> | -k <package file> | -b <board file> <planes file> <blocks file> <pictures directory> | -f <frame file> | -d <decal file> [-r]

DESCRIPTION
This manual page documents the horizon-imp command.

horizon-imp is the 'interactive manipulator' and can be run in one of 5 modes, each operating on a different type of item: symbol, schematic, padstack, package, board, frame or decal.

OPTIONS
Details of options are included below.

-y <symbol file>
    Run in Symbol mode.

-c <blocks file> <pictures directory>
    Run in Schematic mode

-a <padstack file>
    Run in Padstack mode

-k <package file>
    Run in Package mode

-b <board file> <planes file> <blocks file> <pictures directory>
    Run in Board mode

-f <frame file>
    Run in Frame mode

-d <decal file>
    Run in Decal mode

-r  Open file read only

USAGE
Aside from debugging, there's normally little reason to run this command directly, as it's usually launched by horizon-eda(1).

ENVIRONMENT
This command requires the environment variable HORIZON_POOL to point to the pool's directory (the one with the pool.json and pool.db in it)

AUTHORS
This manual page was initially written by Wookey <wookey@debian.org> for the Debian GNU/Linux system (but may be used by others). It has been kept up-to-date by the Horizon EDA Project.

SEE ALSO
horizon-imp(1),